DXSingleSpeed
Date: 2012-10-10

Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## convertDXSingleSpeed
Class DXSingleSpeed

    java.lang.Object
      convertDXSingleSpeed.DXSingleSpeed

    public class DXSingleSpeed

extends java.lang.Object

This class represents a cooling coil from type "DXSingleSpeedR".

### License agreement

The use of this program is subjected to the following license terms.

Constructor Summary
`DXSingleSpeed()`

Method Summary
`java.lang.String` | `getAirInlNodeName()` This method gets the air inlet node name of the cooling coil.
`java.lang.String` | `getAirOutNodeName()` This method gets the air outlet node name of the cooling coil.
`java.util.ArrayList<ICurve>` | `getCurves()` This method gets the curves describing the cooling coil.
`java.util.ArrayList<java.lang.String>` | `getFunctionNames()` This method gets the functions names of the cooling coil.
`java.lang.String` | `getName()` This method gets the name of the cooling coil.
`java.lang.String` | `getRatAirFlowRate()` This method gets the rated air flow of the cooling coil.
`java.lang.String` | `getRatCOP()` This method gets the reference COP of the cooling coil.
`java.lang.String` | `getRatEvaFanPowPerVolFlowRate()` This method gets the rated evaporator fan Power per volume flow rate of the cooling coil.
`java.lang.String` | `getRatSenHeaRatio()` This method gets the rated sensible heat ratio of the cooling coil.
`java.lang.String` | `getRatTotCooCapacity()` This method gets the rated total cooling capacity of the cooling coil.
`java.lang.String` | `getScheName()` This method gets the availability schedule name in the cooling coil.
`java.lang.String` | `getStringDefinitionOfDXSingleSpeedObject()` This method gets the comments definition of the cooling coil.
`void` | `setAirInlNodeName(java.lang.String airInlNodeName)` This method sets the air inlet node name of the cooling coil.
`void` | `setAirOutNodeName(java.lang.String airOutNodeName)` This method sets the air inlet node name of the cooling coil.
`void` | `setCurves(java.util.ArrayList<ICurve> curves)` This method sets the curves describing the cooling coil.
`void` | `setFunctionNames(java.util.ArrayList<java.lang.String> functionNames)` This method sets the functions names of the cooling coil.
`void` | `setName(java.lang.String name)` This method sets the name of the cooling coil.
`void` | `setRatAirFlowRate(java.lang.String ratAirFlowRate)` This method sets the rated air flow of the cooling coil.
`void` | `setRatCOP(java.lang.String ratCOP)` This method sets the reference COP of the cooling coil.
`void` | `setRatEvaFanPowPerVolFlowRate(java.lang.String ratEvaFanPowPerVolFlowRate)` This method sets the rated evaporator fan Power per volume flow rate of the cooling coil.
`void` | `setRatSenHeaRatio(java.lang.String ratSenHeaRatio)` This method sets the rated sensible heat ratio of the cooling coil.
`void` | `setRatTotCooCapacity(java.lang.String ratTotCooCapacity)` This method sets the rated total cooling capacity of the cooling coil.
`void` | `setScheName(java.lang.String scheName)` This method sets the availability schedule name in the cooling coil.
`void` | `setStringDefinitionOfDXSingleSpeedObject(java.lang.String stringDefinitionOfDXSingleSpeedObject)` This method sets the comments definition of the cooling coil.
`java.lang.String` | `toMoRecordString()` This method is used to convert single speed dx coils data into a String.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DXSingleSpeed

    public DXSingleSpeed()

Method Detail

### toMoRecordString

    public java.lang.String toMoRecordString()

  This method is used to convert single speed dx coils data into a String.

  Returns:
    the converted cooling coil data as a string.

### getName

    public java.lang.String getName()

  This method gets the name of the cooling coil.

### setName

    public void setName(java.lang.String name)

  This method sets the name of the cooling coil.

### getScheName

    public java.lang.String getScheName()

  This method gets the availability schedule name in the cooling coil.

### setScheName

    public void setScheName(java.lang.String scheName)

  This method sets the availability schedule name in the cooling coil.

### getRatTotCooCapacity

    public java.lang.String getRatTotCooCapacity()

  This method gets the rated total cooling capacity of the cooling coil.

### setRatTotCooCapacity

    public void setRatTotCooCapacity(java.lang.String ratTotCooCapacity)

  This method sets the rated total cooling capacity of the cooling coil.

### getRatSenHeaRatio

    public java.lang.String getRatSenHeaRatio()

  This method gets the rated sensible heat ratio of the cooling coil.

### setRatSenHeaRatio

    public void setRatSenHeaRatio(java.lang.String ratSenHeaRatio)

  This method sets the rated sensible heat ratio of the cooling coil.

### getRatCOP

    public java.lang.String getRatCOP()

  This method gets the reference COP of the cooling coil.

### setRatCOP

    public void setRatCOP(java.lang.String ratCOP)

  This method sets the reference COP of the cooling coil.

### getRatAirFlowRate

    public java.lang.String getRatAirFlowRate()

  This method gets the rated air flow of the cooling coil.

### setRatAirFlowRate

    public void setRatAirFlowRate(java.lang.String ratAirFlowRate)

  This method sets the rated air flow of the cooling coil.

### getRatEvaFanPowPerVolFlowRate

    public java.lang.String getRatEvaFanPowPerVolFlowRate()

  This method gets the rated evaporator fan Power per volume flow rate of the cooling coil.

### setRatEvaFanPowPerVolFlowRate

    public void setRatEvaFanPowPerVolFlowRate(java.lang.String ratEvaFanPowPerVolFlowRate)

  This method sets the rated evaporator fan Power per volume flow rate of the cooling coil.

### getAirInlNodeName

    public java.lang.String getAirInlNodeName()

  This method gets the air inlet node name of the cooling coil.

### setAirInlNodeName

    public void setAirInlNodeName(java.lang.String airInlNodeName)

  This method sets the air inlet node name of the cooling coil.

### getAirOutNodeName

    public java.lang.String getAirOutNodeName()

  This method gets the air outlet node name of the cooling coil.

### setAirOutNodeName

    public void setAirOutNodeName(java.lang.String airOutNodeName)

  This method sets the air inlet node name of the cooling coil.

### getFunctionNames

    public java.util.ArrayList<java.lang.String> getFunctionNames()

  This method gets the functions names of the cooling coil.

### setFunctionNames

    public void setFunctionNames(java.util.ArrayList<java.lang.String> functionNames)

  This method sets the functions names of the cooling coil.

### getCurves

    public java.util.ArrayList<ICurve> getCurves()

  This method gets the curves describing the cooling coil.

### setCurves

    public void setCurves(java.util.ArrayList<ICurve> curves)

  This method sets the curves describing the cooling coil.

### getStringDefinitionOfDXSingleSpeedObject

    public java.lang.String getStringDefinitionOfDXSingleSpeedObject()

  This method gets the comments definition of the cooling coil.

### setStringDefinitionOfDXSingleSpeedObject

    public void setStringDefinitionOfDXSingleSpeedObject(java.lang.String stringDefinitionOfDXSingleSpeedObject)

  This method sets the comments definition of the cooling coil.

Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD